Subject: Re: linux-next: Tree for Apr 14 (crash due to modpost patch)

From: Guenter Roeck <[email-masked]>
Date: Tue, 14 Apr 2015 09:50:00 -0700

On Tue, Apr 14, 2015 at 06:36:03PM +0200, Quentin Casasnovas wrote:
> On Tue, Apr 14, 2015 at 09:11:14AM -0700, Guenter Roeck wrote:
> > On Tue, Apr 14, 2015 at 06:42:44PM +1000, Stephen Rothwell wrote:
[ ... ]
> 
> It is rude and I'm really sorry about this, I had only tested this on
> x86_64 and sparc.
> 
> Should I send a tentative fix or will you do it since you've done all the
> hard work?  In any case thanks for the detailed analysis.
> 
Hi Quentin,

I don't really know what to cast the pointers to, given they have different
real types (and maybe you should not even pass the pointers in the first
place but do that test in the calling code), so I'll leave the fixing up
to you. If you Cc: me on the fix, I can test it for the affected architectures
(score, mn10300, parisc, parisc64).

Thanks,
Guenter